# \Thelia\Model\BaseOrderProductQuery

Base class that represents a query for the 'order_product' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByOrderId()
filterByProductRef()
filterByTitle()
filterByDescription()
filterByChapo()
filterByQuantity()
filterByPrice()
filterByTax()
filterByParent()
filterByCreatedAt()
filterByUpdatedAt()
filterByOrder()
joinOrder()
useOrderQuery()
filterByOrderFeature()
joinOrderFeature()
useOrderFeatureQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByOrderId()
orderByProductRef()
orderByTitle()
orderByDescription()
orderByChapo()
orderByQuantity()
orderByPrice()
orderByTax()
orderByParent()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByOrderId()
groupByProductRef()
groupByTitle()
groupByDescription()
groupByChapo()
groupByQuantity()
groupByPrice()
groupByTax()
groupByParent()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinOrder()
rightJoinOrder()
innerJoinOrder()
leftJoinOrderFeature()
rightJoinOrderFeature()
innerJoinOrderFeature()
findOne()
findOneOrCreate()
findOneById()
findOneByOrderId()
findOneByProductRef()
findOneByTitle()
findOneByDescription()
findOneByChapo()
findOneByQuantity()
findOneByPrice()
findOneByTax()
findOneByParent()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByOrderId()
findByProductRef()
findByTitle()
findByDescription()
findByChapo()
findByQuantity()
findByPrice()
findByTax()
findByParent()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/OrderProductQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\OrderProductQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\OrderProductQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\OrderProductQuery

Returns a new ChildOrderProductQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\OrderProductQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderProduct|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\OrderProduct|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\OrderProductQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\OrderProductQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByOrderId()

    filterByOrderId(mixed $orderId, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the order_id column

Example usage: `$query->filterByOrderId(1234); // WHERE order_id = 1234 $query->filterByOrderId(array(12, 34)); // WHERE order_id IN (12, 34) $query->filterByOrderId(array('min' => 12)); // WHERE order_id > 12`

#### Parameters

mixed | $orderId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByProductRef()

    filterByProductRef(string $productRef, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the product_ref column

Example usage: `$query->filterByProductRef('fooValue'); // WHERE product_ref = 'fooValue' $query->filterByProductRef('%fooValue%'); // WHERE product_ref LIKE '%fooValue%'`

#### Parameters

string | $productRef | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTitle()

    filterByTitle(string $title, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the title column

Example usage: `$query->filterByTitle('fooValue'); // WHERE title = 'fooValue' $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'`

#### Parameters

string | $title | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByDescription()

    filterByDescription(string $description, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the description column

Example usage: `$query->filterByDescription('fooValue'); // WHERE description = 'fooValue' $query->filterByDescription('%fooValue%'); // WHERE description LIKE '%fooValue%'`

#### Parameters

string | $description | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByChapo()

    filterByChapo(string $chapo, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the chapo column

Example usage: `$query->filterByChapo('fooValue'); // WHERE chapo = 'fooValue' $query->filterByChapo('%fooValue%'); // WHERE chapo LIKE '%fooValue%'`

#### Parameters

string | $chapo | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByQuantity()

    filterByQuantity(mixed $quantity, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the quantity column

Example usage: `$query->filterByQuantity(1234); // WHERE quantity = 1234 $query->filterByQuantity(array(12, 34)); // WHERE quantity IN (12, 34) $query->filterByQuantity(array('min' => 12)); // WHERE quantity > 12`

#### Parameters

mixed | $quantity | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrice()

    filterByPrice(mixed $price, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the price column

Example usage: `$query->filterByPrice(1234); // WHERE price = 1234 $query->filterByPrice(array(12, 34)); // WHERE price IN (12, 34) $query->filterByPrice(array('min' => 12)); // WHERE price > 12`

#### Parameters

mixed | $price | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTax()

    filterByTax(mixed $tax, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the tax column

Example usage: `$query->filterByTax(1234); // WHERE tax = 1234 $query->filterByTax(array(12, 34)); // WHERE tax IN (12, 34) $query->filterByTax(array('min' => 12)); // WHERE tax > 12`

#### Parameters

mixed | $tax | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByParent()

    filterByParent(mixed $parent, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the parent column

Example usage: `$query->filterByParent(1234); // WHERE parent = 1234 $query->filterByParent(array(12, 34)); // WHERE parent IN (12, 34) $query->filterByParent(array('min' => 12)); // WHERE parent > 12`

#### Parameters

mixed | $parent | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByOrder()

    filterByOrder(\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection $order, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query by a related \Thelia\Model\Order object

#### Parameters

\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection | $order | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrder()

    joinOrder(string $relationAlias, string $joinType) : \Thelia\Model\OrderProductQuery

Adds a JOIN clause to the query using the Order relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderQuery()

    useOrderQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Use the Order relation Order object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderFeature()

    filterByOrderFeature(\Thelia\Model\OrderFeature|\Propel\Runtime\Collection\ObjectCollection $orderFeature, string $comparison) : \Thelia\Model\OrderProductQuery

Filter the query by a related \Thelia\Model\OrderFeature object

#### Parameters

\Thelia\Model\OrderFeature|\Propel\Runtime\Collection\ObjectCollection | $orderFeature | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderFeature()

    joinOrderFeature(string $relationAlias, string $joinType) : \Thelia\Model\OrderProductQuery

Adds a JOIN clause to the query using the OrderFeature relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderFeatureQuery()

    useOrderFeatureQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderFeatureQuery

Use the OrderFeature relation OrderFeature object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderFeatureQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\OrderProduct $orderProduct) : \Thelia\Model\OrderProductQuery

Exclude object from result

#### Parameters

\Thelia\Model\OrderProduct | $orderProduct | Object to remove from the list of results

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the order_product table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildOrderProduct or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\OrderProductQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\OrderProductQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\OrderProductQuery

Order by update date desc

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\OrderProductQuery

Order by update date asc

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\OrderProductQuery

Order by create date desc

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\OrderProductQuery

Order by create date asc

#### Returns

\Thelia\Model\OrderProductQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\OrderProductQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByOrderId()

    orderByOrderId($order =) : \Thelia\Model\OrderProductQuery

Order by the order_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByProductRef()

    orderByProductRef($order =) : \Thelia\Model\OrderProductQuery

Order by the product_ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByTitle()

    orderByTitle($order =) : \Thelia\Model\OrderProductQuery

Order by the title column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByDescription()

    orderByDescription($order =) : \Thelia\Model\OrderProductQuery

Order by the description column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByChapo()

    orderByChapo($order =) : \Thelia\Model\OrderProductQuery

Order by the chapo column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByQuantity()

    orderByQuantity($order =) : \Thelia\Model\OrderProductQuery

Order by the quantity column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByPrice()

    orderByPrice($order =) : \Thelia\Model\OrderProductQuery

Order by the price column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByTax()

    orderByTax($order =) : \Thelia\Model\OrderProductQuery

Order by the tax column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByParent()

    orderByParent($order =) : \Thelia\Model\OrderProductQuery

Order by the parent column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\OrderProductQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\OrderProductQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\OrderProductQuery

Group by the id column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByOrderId()

    groupByOrderId() : \Thelia\Model\OrderProductQuery

Group by the order_id column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByProductRef()

    groupByProductRef() : \Thelia\Model\OrderProductQuery

Group by the product_ref column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByTitle()

    groupByTitle() : \Thelia\Model\OrderProductQuery

Group by the title column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByDescription()

    groupByDescription() : \Thelia\Model\OrderProductQuery

Group by the description column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByChapo()

    groupByChapo() : \Thelia\Model\OrderProductQuery

Group by the chapo column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByQuantity()

    groupByQuantity() : \Thelia\Model\OrderProductQuery

Group by the quantity column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByPrice()

    groupByPrice() : \Thelia\Model\OrderProductQuery

Group by the price column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByTax()

    groupByTax() : \Thelia\Model\OrderProductQuery

Group by the tax column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByParent()

    groupByParent() : \Thelia\Model\OrderProductQuery

Group by the parent column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\OrderProductQuery

Group by the created_at column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\OrderProductQuery

Group by the updated_at column

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\OrderProductQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\OrderProductQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\OrderProductQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### leftJoinOrder()

    leftJoinOrder($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a LEFT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### rightJoinOrder()

    rightJoinOrder($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a RIGHT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### innerJoinOrder()

    innerJoinOrder($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a INNER JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### leftJoinOrderFeature()

    leftJoinOrderFeature($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a LEFT JOIN clause to the query using the OrderFeature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### rightJoinOrderFeature()

    rightJoinOrderFeature($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a RIGHT JOIN clause to the query using the OrderFeature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### innerJoinOrderFeature()

    innerJoinOrderFeature($relationAlias =) : \Thelia\Model\OrderProductQuery

Adds a INNER JOIN clause to the query using the OrderFeature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderProductQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct matching the query, or a new ChildOrderProduct object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByOrderId()

    findOneByOrderId(int $order_id) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the order_id column

#### Parameters

int | $order_id |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByProductRef()

    findOneByProductRef(string $product_ref) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the product_ref column

#### Parameters

string | $product_ref |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByTitle()

    findOneByTitle(string $title) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the title column

#### Parameters

string | $title |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByDescription()

    findOneByDescription(string $description) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the description column

#### Parameters

string | $description |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByChapo()

    findOneByChapo(string $chapo) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the chapo column

#### Parameters

string | $chapo |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByQuantity()

    findOneByQuantity(double $quantity) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the quantity column

#### Parameters

double | $quantity |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByPrice()

    findOneByPrice(double $price) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the price column

#### Parameters

double | $price |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByTax()

    findOneByTax(double $tax) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the tax column

#### Parameters

double | $tax |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByParent()

    findOneByParent(int $parent) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the parent column

#### Parameters

int | $parent |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\OrderProduct

Return the first ChildOrderProduct filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\OrderProduct

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildOrderProduct objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByOrderId()

    findByOrderId(int $order_id) : array

Return ChildOrderProduct objects filtered by the order_id column

#### Parameters

int | $order_id |

#### Returns

array

#

## Tags

None found

### findByProductRef()

    findByProductRef(string $product_ref) : array

Return ChildOrderProduct objects filtered by the product_ref column

#### Parameters

string | $product_ref |

#### Returns

array

#

## Tags

None found

### findByTitle()

    findByTitle(string $title) : array

Return ChildOrderProduct objects filtered by the title column

#### Parameters

string | $title |

#### Returns

array

#

## Tags

None found

### findByDescription()

    findByDescription(string $description) : array

Return ChildOrderProduct objects filtered by the description column

#### Parameters

string | $description |

#### Returns

array

#

## Tags

None found

### findByChapo()

    findByChapo(string $chapo) : array

Return ChildOrderProduct objects filtered by the chapo column

#### Parameters

string | $chapo |

#### Returns

array

#

## Tags

None found

### findByQuantity()

    findByQuantity(double $quantity) : array

Return ChildOrderProduct objects filtered by the quantity column

#### Parameters

double | $quantity |

#### Returns

array

#

## Tags

None found

### findByPrice()

    findByPrice(double $price) : array

Return ChildOrderProduct objects filtered by the price column

#### Parameters

double | $price |

#### Returns

array

#

## Tags

None found

### findByTax()

    findByTax(double $tax) : array

Return ChildOrderProduct objects filtered by the tax column

#### Parameters

double | $tax |

#### Returns

array

#

## Tags

None found

### findByParent()

    findByParent(int $parent) : array

Return ChildOrderProduct objects filtered by the parent column

#### Parameters

int | $parent |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildOrderProduct objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildOrderProduct objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderProduct

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\OrderProduct —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderProduct|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\OrderProduct|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### OrderProductQuery.php